header .wp-block-navigation-item__label{
    display: block;
    position: relative;
}

@media (max-width: 1299px){
    header .wp-block-navigation-item__label{
        width: 100% !important;
    }
}

header .wp-block-navigation-item__label:before{
    content: attr(data-text);
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    opacity: 0;
    font-weight: 700;
    color: var(--wp--preset--color--contrast);
}

header .wp-block-navigation-item__content:hover,
header .wp-block-navigation-item__content:focus,
header .wp-block-navigation-item__content:hover .wp-block-navigation-item__label,
header .wp-block-navigation-item__content:focus .wp-block-navigation-item__label{
    font-weight: 400;
}

header .wp-block-navigation-item__content:hover .wp-block-navigation-item__label,
header .wp-block-navigation-item__content:focus .wp-block-navigation-item__label{
    color: transparent;
}

header .wp-block-navigation-item__content:hover .wp-block-navigation-item__label:before,
header .wp-block-navigation-item__content:focus .wp-block-navigation-item__label:before{
    opacity: 1;
}